  import javax.swing.JFrame;
import javax.swing.*;
import java.awt.Container;
/**
 * Clase principal que contiene el frame y el panel. 
 * @author Agustin G.
 */
public class PhysicsLab {
   public static void main(String[] args) {
      PhysicsLabFrame labFrame = new PhysicsLabFrame();
      labFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      labFrame.setVisible(true);
   }
}

class PhysicsLabFrame extends JFrame {
    
/** 
 * Constructor del PhysicsLabFrame. Encargado de Crear los objetos principales encargados de la simulacion del sismo.Incorpora un MenuBar y un Jpanel

 */  
   public PhysicsLabFrame() {
      setTitle("Simu - EQ");
      setSize(MyWorld.WIDTH, MyWorld.HEIGHT+50);
      MyWorld world = new MyWorld();
      PhysicsLabPanel labPanel = new PhysicsLabPanel(world);
      add(labPanel);  // it is equivalent to getContentPane().add(...);
      world.setPanel(labPanel);   // to repaint view when model changes
      ConfigurationMenuListener cListener = new ConfigurationMenuListener(world,labPanel);
      MenuBlockListener mListener = new MenuBlockListener(world); //Se crea un Listener para el control de bloqueo del menu configuration
      WorldControlMenuListener wcListener = new WorldControlMenuListener(world);
      setJMenuBar(createLabMenuBar(cListener, wcListener,mListener));
   }
/** 
 * Creacion de un Menu para incorporar los listener .

 */  
   public JMenuBar createLabMenuBar(ConfigurationMenuListener cl, WorldControlMenuListener wl, MenuBlockListener ml) {
      JMenuBar mb = new JMenuBar();
      JMenu menu = new JMenu ("Elements");
      mb.add(menu);
      ml.add(menu);//Se agrega el menu  a procesar en el listener
      
      JMenu subMenu = new JMenu("Insert");  
      menu.add(subMenu);
     
      JMenuItem menuItem2 = new JMenuItem("Delete");
      menuItem2.addActionListener(cl);
      menu.add(menuItem2);
 
	  
      JMenuItem menuItem = new JMenuItem("Bloque y Pilar");
      menuItem.addActionListener(cl);
      subMenu.add(menuItem);
      
      /*menuItem = new JMenuItem("Bloque y Pilar");
      menuItem.addActionListener(cl);
      subMenu.add(menuItem);
      */
      menuItem = new JMenuItem("Piso");
      menuItem.addActionListener(cl);
      subMenu.add(menuItem);

      menu = new JMenu("Options");
      mb.add(menu);
      menuItem = new JMenuItem("Start");
      menuItem.addActionListener(ml);//Se agrega el Listener nuevo
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Resume");
      menuItem.addActionListener(ml);//Se agrega el Listener nuevo
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      
      menuItem = new JMenuItem("Intensidad");
      menuItem.addActionListener(ml);//Se agre el Listener nuevo
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      
      menuItem = new JMenuItem("Stop");
      menuItem.addActionListener(ml);//Se agre el Listener nuevo
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Gravity");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
      menuItem = new JMenuItem("Viscosity");
      menuItem.addActionListener(wl);
      menu.add(menuItem);
     	subMenu = new JMenu("Simulator");
      menu.add(subMenu);
      menuItem = new JMenuItem("Delta time");
      menuItem.addActionListener(wl);
      subMenu.add(menuItem);
      menuItem = new JMenuItem("Graphics Refresh time");
      menuItem.addActionListener(wl);
      subMenu.add(menuItem);
      	
		
		return mb;          
   }   
	
	

	
}
