
import javax.swing.JPanel;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JOptionPane;
import javax.swing.JMenuItem;
import java.awt.*;
import java.awt.geom.*;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.*;

/**
 * Clase de dibujo del piso.
 *
 * @author Agustin Gonzales, Victor Arredondo, Yen-kung Yu
 */

public class PhysicsLabPanel extends JPanel {

    private MyWorld world;
    private MouseListener mListener;
    private ConfigurationMenuListener cListener;
    private BufferedImage fondo = null;

    public PhysicsLabPanel(MyWorld w) {

        readImage();
        world = w;
        mListener = new MouseListener(w, this);
        addMouseMotionListener(mListener);
        addMouseListener(mListener);
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g); // it paints the background
        Graphics2D g2 = (Graphics2D) g;
        g.drawImage(fondo, 10, 20, getWidth() - 10, getHeight() - 10, null);
        world.paintComponent(g2);
    }

    public void readImage() {

        try {
            fondo = ImageIO.read(new File("fondo.jpg"));
        } catch (IOException ex) {
            System.out.println("No se pudo leer la imagen");
        }
    }

    public void enableMouseListener() {
        addMouseMotionListener(mListener);
        addMouseListener(mListener);
    }

    public void desableMouseListener() {
        removeMouseMotionListener(mListener);
        removeMouseListener(mListener);
    }

    public void message() {
        JOptionPane.showMessageDialog(null, "Estructura Colapsada");
    }
}
